﻿Imports Microsoft.VisualBasic
#Region "Copyright Syncfusion Inc. 2001 - 2011"
' Copyright Syncfusion Inc. 2001 - 2011. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region
Imports System
Imports System.Drawing
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.Windows.Forms.Grid
Imports Syncfusion.Drawing
Imports Syncfusion.Styles
Imports Syncfusion.GridHelperClasses
Imports System.IO

Namespace ZoomDataBoundGrid
	''' <summary>
	''' Summary description for Form1.
	''' </summary>
	Public Class Form1
		Inherits System.Windows.Forms.Form
		Private dataSet As New DataSet()
		Private label1 As Label
		Private gridDataBoundGrid1 As GridDataBoundGrid
		Private groupBox1 As GroupBox
		Private panel1 As Panel
		Private label2 As Label
		''' <summary>
		''' Required designer variable.
		''' </summary>
		Private components As System.ComponentModel.Container = Nothing
		Private WithEvents button2 As Button
		Private WithEvents button1 As Button
		Private zoom As ZoomGrid
		Public Sub New()
			'
			' Required for Windows Form Designer support
			'
			InitializeComponent()

			Try
				Dim ico As New System.Drawing.Icon(GetIconFile("common\Images\Grid\Icon\sfgrid1.ico"))
				Me.Icon = ico
			Catch
			End Try


			dataSet.ReadXml(GetFile("Datasource.xml"))

			Me.gridDataBoundGrid1.DataSource = dataSet.Tables(0)

			zoom = New ZoomGrid(Me.gridDataBoundGrid1)
			ZoomGrid.ZoomGridDataBoundCell = True
		End Sub

		Private Function GetFile(ByVal fileName As String) As String
			Dim dataFileName As String = "..\..\Data\" & fileName
			For n As Integer = 0 To 11
				If System.IO.File.Exists(dataFileName) Then
					Return New FileInfo(dataFileName).FullName
				End If
				dataFileName = "..\" & dataFileName
			Next n
			Return dataFileName
		End Function
		''' <summary>
		''' Clean up any resources being used.
		''' </summary>
		Protected Overrides Overloads Sub Dispose(ByVal disposing As Boolean)
			If disposing Then
				If components IsNot Nothing Then
					components.Dispose()
				End If
			End If
			MyBase.Dispose(disposing)
		End Sub

		#Region "Windows Form Designer generated code"
		''' <summary>
		''' Required method for Designer support - do not modify
		''' the contents of this method with the code editor.
		''' </summary>
		Private Sub InitializeComponent()
			Dim gridStyleInfo1 As New Syncfusion.Windows.Forms.Grid.GridStyleInfo()
			Dim resources As New System.ComponentModel.ComponentResourceManager(GetType(Form1))
			Me.label1 = New System.Windows.Forms.Label()
			Me.gridDataBoundGrid1 = New Syncfusion.Windows.Forms.Grid.GridDataBoundGrid()
			Me.groupBox1 = New System.Windows.Forms.GroupBox()
			Me.panel1 = New System.Windows.Forms.Panel()
			Me.label2 = New System.Windows.Forms.Label()
			Me.button1 = New System.Windows.Forms.Button()
			Me.button2 = New System.Windows.Forms.Button()
			CType(Me.gridDataBoundGrid1, System.ComponentModel.ISupportInitialize).BeginInit()
			Me.groupBox1.SuspendLayout()
			Me.panel1.SuspendLayout()
			Me.SuspendLayout()
			' 
			' label1
			' 
			Me.label1.Anchor = (CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles))
			Me.label1.Font = New System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label1.Location = New System.Drawing.Point(393, 263)
			Me.label1.Name = "label1"
			Me.label1.Size = New System.Drawing.Size(41, 23)
			Me.label1.TabIndex = 13
			Me.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
			' 
			' gridDataBoundGrid1
			' 
			Me.gridDataBoundGrid1.AllowDragSelectedCols = True
			Me.gridDataBoundGrid1.GridOfficeScrollBars = Syncfusion.Windows.Forms.OfficeScrollBars.Office2010
			Me.gridDataBoundGrid1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.Office2010Blue
			Me.gridDataBoundGrid1.Location = New System.Drawing.Point(0, 23)
			Me.gridDataBoundGrid1.Name = "gridDataBoundGrid1"
			Me.gridDataBoundGrid1.OptimizeInsertRemoveCells = True
			Me.gridDataBoundGrid1.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus
			Me.gridDataBoundGrid1.Size = New System.Drawing.Size(437, 266)
			Me.gridDataBoundGrid1.SmartSizeBox = False
			Me.gridDataBoundGrid1.SortBehavior = Syncfusion.Windows.Forms.Grid.GridSortBehavior.DoubleClick
			Me.gridDataBoundGrid1.TabIndex = 16
			gridStyleInfo1.Borders.Bottom = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid, System.Drawing.Color.LightBlue)
			gridStyleInfo1.Borders.Right = New Syncfusion.Windows.Forms.Grid.GridBorder(Syncfusion.Windows.Forms.Grid.GridBorderStyle.Solid, System.Drawing.Color.LightBlue)
			gridStyleInfo1.TextColor = System.Drawing.Color.Gray
			Me.gridDataBoundGrid1.TableStyle = gridStyleInfo1
			Me.gridDataBoundGrid1.Text = "gridDataBoundGrid1"
			Me.gridDataBoundGrid1.ThemesEnabled = True
			Me.gridDataBoundGrid1.UseListChangedEvent = True
			Me.gridDataBoundGrid1.UseRightToLeftCompatibleTextBox = True
			' 
			' groupBox1
			' 
			Me.groupBox1.Controls.Add(Me.button2)
			Me.groupBox1.Controls.Add(Me.button1)
			Me.groupBox1.Location = New System.Drawing.Point(439, 23)
			Me.groupBox1.Name = "groupBox1"
			Me.groupBox1.Size = New System.Drawing.Size(226, 266)
			Me.groupBox1.TabIndex = 17
			Me.groupBox1.TabStop = False
			Me.groupBox1.Text = "Hide options"
			' 
			' panel1
			' 
			Me.panel1.BackColor = System.Drawing.Color.Black
			Me.panel1.Controls.Add(Me.label2)
			Me.panel1.Location = New System.Drawing.Point(0, 0)
			Me.panel1.Name = "panel1"
			Me.panel1.Size = New System.Drawing.Size(682, 23)
			Me.panel1.TabIndex = 18
			' 
			' label2
			' 
			Me.label2.AutoSize = True
			Me.label2.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, (CByte(0)))
			Me.label2.ForeColor = System.Drawing.SystemColors.ControlLightLight
			Me.label2.Location = New System.Drawing.Point(4, 4)
			Me.label2.Name = "label2"
			Me.label2.Size = New System.Drawing.Size(346, 16)
			Me.label2.TabIndex = 0
			Me.label2.Text = "Demo Ilustrating Zooming Functionality in DataBoundGrid"
			' 
			' button1
			' 
			Me.button1.Location = New System.Drawing.Point(52, 67)
			Me.button1.Name = "button1"
			Me.button1.Size = New System.Drawing.Size(89, 23)
			Me.button1.TabIndex = 0
			Me.button1.Text = "Hide column"
			Me.button1.UseVisualStyleBackColor = True
'			Me.button1.Click += New System.EventHandler(Me.button1_Click)
			' 
			' button2
			' 
			Me.button2.Location = New System.Drawing.Point(52, 125)
			Me.button2.Name = "button2"
			Me.button2.Size = New System.Drawing.Size(89, 23)
			Me.button2.TabIndex = 1
			Me.button2.Text = "Unhide column"
			Me.button2.UseVisualStyleBackColor = True
'			Me.button2.Click += New System.EventHandler(Me.button2_Click)
			' 
			' Form1
			' 
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
			Me.BackColor = System.Drawing.Color.FromArgb((CInt(Fix((CByte(200))))), (CInt(Fix((CByte(223))))), (CInt(Fix((CByte(255))))))
			Me.ClientSize = New System.Drawing.Size(665, 289)
			Me.Controls.Add(Me.panel1)
			Me.Controls.Add(Me.groupBox1)
			Me.Controls.Add(Me.gridDataBoundGrid1)
			Me.Controls.Add(Me.label1)
			Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D
			Me.Icon = (CType(resources.GetObject("$this.Icon"), System.Drawing.Icon))
			Me.MaximizeBox = False
			Me.Name = "Form1"
			Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
			Me.Text = "Zooming Demo"
			CType(Me.gridDataBoundGrid1, System.ComponentModel.ISupportInitialize).EndInit()
			Me.groupBox1.ResumeLayout(False)
			Me.panel1.ResumeLayout(False)
			Me.panel1.PerformLayout()
			Me.ResumeLayout(False)

		End Sub
		#End Region

		''' <summary>
		''' The main entry point for the application.
		''' </summary>
		<STAThread>
		Shared Sub Main()
			Application.Run(New Form1())
		End Sub

		Private Function GetIconFile(ByVal bitmapName As String) As String
			For n As Integer = 0 To 9
				If System.IO.File.Exists(bitmapName) Then
					Return bitmapName
				End If

				bitmapName = "common\Images\Grid\Icon\sfgrid1.ico" & bitmapName
			Next n

			Return bitmapName
		End Function

		Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
			Me.dataSet.Tables(0).Columns(1).Prefix = "hide"
			change()
		End Sub

		Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button2.Click
			Me.dataSet.Tables(0).Columns(1).Prefix = "unhide"
			change()
		End Sub

		Private Sub change()
			For Each column As DataColumn In dataSet.Tables(0).Columns
				If column.Prefix.ToLower() = "hide" Then
					Me.gridDataBoundGrid1.Model.Cols.Hidden(column.ColumnName) = True
				Else
					Me.gridDataBoundGrid1.Model.Cols.Hidden(column.ColumnName) = False
				End If
			Next column
			Me.gridDataBoundGrid1.Refresh()
		End Sub
	End Class
End Namespace
